import { Routes } from '@angular/router';
import { LoginComponent } from './login/login.component';
import { DashboardComponent } from './dashboard/dashboard.component';
import { AuthGuard } from './service/auth.service';
import { CreateLinkComponent } from './create-link/create-link.component';
import { ViewLinkComponent } from './view-link/view-link.component';

export const routes: Routes = [
  {
    path: '',
    component: LoginComponent,
  },
  {
    path: 'dashboard',
    component: DashboardComponent,
    canActivate: [AuthGuard],
  },
  {
    path: 'create-link',
    component: CreateLinkComponent,
    canActivate: [AuthGuard],
  },
  {
    path: ':link',
    component: ViewLinkComponent,
  },
  {
    path: "**",
    redirectTo: "",
  },
];
